Bug 563786 - [abrt] crash in gcompris-9.1-1.fc12
[abrt] crash in gcompris-9.1-1.fc12
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gcompris (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
abrt_hash:2aa2e6e090d75c1cf39ed1dd3a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-11 00:44 EST by Trevor Mettam
Modified: 2011-01-01 10:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-01 10:01:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (45.98 KB, text/plain)
2010-02-11 00:44 EST, Trevor Mettam
no flags Details

  None (edit)
Description Trevor Mettam 2010-02-11 00:44:21 EST
abrt 1.0.6 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: gcompris
comment: GCompris will hang or crash on a low-end machine when feverishly clicking through menu screens
component: gcompris
executable: /usr/bin/gcompris
kernel: 2.6.31.12-174.2.3.fc12.i686
package: gcompris-9.1-1.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Start GCompris on a low-end machine
2. Click a sub-category
3.  While the program is in the process of displaying the next screen, click again
4.  GCompris will hang or crash.
Comment 1 Trevor Mettam 2010-02-11 00:44:25 EST
Created attachment 390168 [details]
File: backtrace
Comment 2 Johan Cwiklinski 2010-02-13 12:21:27 EST
Seems that this bug is related to PulseAudio.

GCompris' upstream told me that is a bug that has already been reported for Ubuntu, but I cannot find the relevant links.

I'll reassign the bug to PA.
Comment 3 Lennart Poettering 2010-02-15 08:35:19 EST
Uhh? This is a crash in gdk pixbuf. Unrelated to PA.

I am kinda sure this is some kind of memory corruption in gcompris.
Comment 4 Bug Zapper 2010-11-03 18:25:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Trevor Mettam 2010-11-04 01:26:55 EDT
Problem still persists in gcompris-9.3-1.fc13 ... However it's now much harder to reproduce as the menu screens run a lot more efficiently now.
Comment 6 Fedora Admin XMLRPC Client 2010-12-30 13:58:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Hans de Goede 2011-01-01 10:01:11 EST
Hi,

I'm the new maintainer of gcompris and going through all open gcompris bugs. gcompris-0.9.3 suffered from some memory corruption problems. And this bug seems to be one of a number of abrt reported bugs caused by these memory corruption problems. Unfortunately bugs like these are very hard to fix and I don't have the time to track this down.

Upstream has recently released gcompris-0.9.5, which contains some memory corruption fixes which hopefully fixes this.

This is available as an update for all supported Fedora releases (F-13 and F-14). To get this update do:
yum update --enablerepo=updates-testing gcompris

If you still encounter problems with 0.9.5 please file a new bug with a 0.9.5 generated backtrace attached (through abrt).

If this update fixes your problems please login and then give it positive karma here:
https://admin.fedoraproject.org/updates/gcompris-9.5-1.fc13
https://admin.fedoraproject.org/updates/gcompris-9.5-1.fc14

Thanks & Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.